## kasts 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Tobias Fella <tobias.fella@kde.org>
# SPDX-FileCopyrightText: 2020 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2023 Bart De Vries <bart@mogwai.be>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kasts VERSION ${RELEASE_SERVICE_VERSION})

# be c++17 compliant
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(KF_MIN_VERSION "5.105.0")
set(QT_MIN_VERSION "5.15.2")
if (ANDROID)
    set(QT_MIN_VERSION 5.15.10) # due to 5.15.10 changing NDK versioning
endif()

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(KDEInstallDirs)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMDeprecationSettings)
if(NOT ANDROID)
    include(KDEClangFormat)
endif()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KASTS
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kasts-version.h
)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.102.0
)

if (QT_MAJOR_VERSION EQUAL "6")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Sql Svg Xml)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Kirigami2 Syndication Config ThreadWeaver)

if (QT_MAJOR_VERSION EQUAL "6")
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Network)
else()
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS NetworkManagerQt)
endif()

if (NOT KF_MAJOR_VERSION EQUAL "6") # TODO temporary workaround until kirigami-addons is switched to KF6
find_package(KF5KirigamiAddons 0.7 REQUIRED)
endif()

find_package(Taglib REQUIRED)
find_package(Qt${QT_MAJOR_VERSION}Keychain)
set_package_properties(Qt${QT_MAJOR_VERSION}Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

if (ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
    if (QT_MAJOR_VERSION EQUAL "5")
        find_package(Qt5 REQUIRED COMPONENTS AndroidExtras)
    endif()
    find_package(OpenSSL REQUIRED)
    find_package(SQLite3)
    find_package(ZLIB)
    find_package(Gradle)
else()
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets DBus)
endif()

add_definitions(-DQT_NO_CAST_FROM_ASCII
                -DQT_NO_CAST_TO_ASCII
                -DQT_NO_URL_CAST_FROM_STRING
                -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
                -DQT_USE_QSTRINGBUILDER
)

ki18n_install(po)

install(PROGRAMS org.kde.kasts.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kasts.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kasts.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES icons/kasts-tray-dark.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES icons/kasts-tray-light.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES icons/media-playback-cloud.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/actions)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (NOT ANDROID)
    # inside if-statement to work around problems with gitlab Android CI
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Tobias Fella <tobias.fella@kde.org>
# SPDX-FileCopyrightText: 2023 Bart De Vries <bart@mogwai.be>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(kmediasession)
if (NOT QT_MAJOR_VERSION EQUAL "6")
add_subdirectory(solidextras)
endif()

set(kasts_srcs
    main.cpp
    fetcher.cpp
    database.cpp
    entry.cpp
    feed.cpp
    author.cpp
    enclosure.cpp
    chapter.cpp
    datamanager.cpp
    audiomanager.cpp
    error.cpp
    enclosuredownloadjob.cpp
    storagemanager.cpp
    storagemovejob.cpp
    updatefeedjob.cpp
    fetchfeedsjob.cpp
    systrayicon.cpp
    networkconnectionmanager.cpp
    models/abstractepisodemodel.cpp
    models/abstractepisodeproxymodel.cpp
    models/chaptermodel.cpp
    models/feedsmodel.cpp
    models/feedsproxymodel.cpp
    models/entriesmodel.cpp
    models/entriesproxymodel.cpp
    models/queuemodel.cpp
    models/episodemodel.cpp
    models/episodeproxymodel.cpp
    models/downloadmodel.cpp
    models/errorlogmodel.cpp
    models/podcastsearchmodel.cpp
    sync/sync.cpp
    sync/syncjob.cpp
    sync/syncutils.cpp
    sync/gpodder/gpodder.cpp
    sync/gpodder/genericrequest.cpp
    sync/gpodder/loginrequest.cpp
    sync/gpodder/logoutrequest.cpp
    sync/gpodder/devicerequest.cpp
    sync/gpodder/syncrequest.cpp
    sync/gpodder/updatesyncrequest.cpp
    sync/gpodder/updatedevicerequest.cpp
    sync/gpodder/subscriptionrequest.cpp
    sync/gpodder/uploadsubscriptionrequest.cpp
    sync/gpodder/episodeactionrequest.cpp
    sync/gpodder/uploadepisodeactionrequest.cpp
    resources.qrc
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "audiologging.h"
    IDENTIFIER "kastsAudio"
    CATEGORY_NAME "org.kde.kasts.audio"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "datamanagerlogging.h"
    IDENTIFIER "kastsDataManager"
    CATEGORY_NAME "org.kde.kasts.datamanager"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "enclosurelogging.h"
    IDENTIFIER "kastsEnclosure"
    CATEGORY_NAME "org.kde.kasts.enclosure"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "entrylogging.h"
    IDENTIFIER "kastsEntry"
    CATEGORY_NAME "org.kde.kasts.entry"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "feedlogging.h"
    IDENTIFIER "kastsFeed"
    CATEGORY_NAME "org.kde.kasts.feed"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "fetcherlogging.h"
    IDENTIFIER "kastsFetcher"
    CATEGORY_NAME "org.kde.kasts.fetcher"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "synclogging.h"
    IDENTIFIER "kastsSync"
    CATEGORY_NAME "org.kde.kasts.sync"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "models/downloadmodellogging.h"
    IDENTIFIER "kastsDownloadModel"
    CATEGORY_NAME "org.kde.kasts.downloadmodel"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "models/queuemodellogging.h"
    IDENTIFIER "kastsQueueModel"
    CATEGORY_NAME "org.kde.kasts.queuemodel"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "storagemanagerlogging.h"
    IDENTIFIER "kastsStorageManager"
    CATEGORY_NAME "org.kde.kasts.storagemanager"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "storagemovejoblogging.h"
    IDENTIFIER "kastsStorageMoveJob"
    CATEGORY_NAME "org.kde.kasts.storagemovejob"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kasts_srcs
    HEADER "networkconnectionmanagerlogging.h"
    IDENTIFIER "kastsNetworkConnectionManager"
    CATEGORY_NAME "org.kde.kasts.networkconnectionmanager"
    DEFAULT_SEVERITY Info
)

if(ANDROID)
    list(APPEND kasts_srcs
         androidlogging.h)
endif()

if(KASTS_FLATPAK)
    list(APPEND kasts_srcs
         resources-flatpak.qrc)
else()
    list(APPEND kasts_srcs
         resources-non-flatpak.qrc)
endif()

set(kasts_ICONS_PNG
    ../icons/16-apps-kasts.png
    ../icons/24-apps-kasts.png
    ../icons/32-apps-kasts.png
    ../icons/48-apps-kasts.png
    ../icons/64-apps-kasts.png
    ../icons/128-apps-kasts.png
)

# add icons to application sources, to have them bundled
ecm_add_app_icon(kasts_srcs ICONS ${kasts_ICONS_PNG})

add_executable(kasts ${kasts_srcs})

kconfig_add_kcfg_files(kasts settingsmanager.kcfgc GENERATE_MOC)

target_include_directories(kasts PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(kasts PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql Qt::Svg Qt::Xml KF${KF_MAJOR_VERSION}::Kirigami2 KF${KF_MAJOR_VERSION}::Syndication KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::ConfigGui KF${KF_MAJOR_VERSION}::I18n Taglib::Taglib ${QTKEYCHAIN_LIBRARIES} KF${KF_MAJOR_VERSION}::ThreadWeaver KMediaSession)

if (QT_MAJOR_VERSION EQUAL "6")
target_link_libraries(kasts PRIVATE Qt6::Network)
else ()
target_link_libraries(kasts PRIVATE KastsSolidExtras)
endif()

if(KASTS_FLATPAK)
    target_compile_definitions(kasts PUBLIC KASTS_FLATPAK)
endif()

if(ANDROID)
    target_link_libraries(kasts PRIVATE
        OpenSSL::SSL
        log
    )
    if(SQLite3_FOUND)
        target_link_libraries(kasts PRIVATE SQLite::SQLite3)
    endif()

    if(ZLIB_FOUND)
        target_link_libraries(kasts PRIVATE ZLIB::ZLIB)
    endif()

    kirigami_package_breeze_icons(ICONS
        window-close
        window-close-symbolic
        delete
        settings-configure
        documentinfo
        tools-report-bug
        list-add
        list-remove
        view-refresh
        view-filter
        kasts
        mail-sent
        globe
        data-error
        rss
        bookmarks
        document-import
        document-export
        document-open-folder
        document-save
        edit-delete-remove
        edit-clear-all
        edit-select-all
        edit-select-none
        edit-copy
        download
        media-playlist-append
        media-seek-backward
        media-seek-forward
        media-skip-forward
        media-playback-start
        media-playback-pause
        view-media-playlist
        source-playlist
        arrow-down
        go-next
        overflow-menu
        checkbox
        error
        search
        kt-add-feeds
        state-sync
        network-connect
        drive-harddisk-symbolic
        dialog-ok
        dialog-cancel
        computer
        computer-laptop
        network-server-database
        smartphone
        emblem-music-symbolic
        gpodder
        kaccounts-nextcloud
        clock
        viewimage
        player-volume-muted
        player-volume
        application-exit
        starred-symbolic
        non-starred-symbolic
        media-playback-cloud
        zoom-in
        zoom-out
        object-rotate-left
        object-rotate-right
        add-subtitle
        view-sort
        view-sort-descending
        view-sort-ascending
        view-sort-descending-name
        view-sort-ascending-name
    )
else()
    target_link_libraries(kasts PRIVATE Qt::Widgets)
endif()

install(TARGETS kasts ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/kmediasession/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2022-2023 Bart De Vries <bart@mogwai.be>

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

option(BUILD_EXAMPLE_PLAYER "Build and install example audio backend player" OFF)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Qml Multimedia)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n)

if (NOT ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Widgets)
endif()

find_package(LIBVLC)
set_package_properties(LIBVLC PROPERTIES
    DESCRIPTION "Allows to play audio using libVLC as backend"
    URL "https://www.videolan.org/vlc/libvlc.html"
    TYPE RECOMMENDED)

option(BUILD_GSTREAMER_BACKEND "Build gstreamer audio backend" ON)
if (BUILD_GSTREAMER_BACKEND)
    find_package(PkgConfig REQUIRED) #finding pkg-config is a helper tool
    #using pkg-config to getting Gstreamer
    pkg_check_modules(GSTREAMER IMPORTED_TARGET gstreamer-1.0)
endif()

#########################################

add_subdirectory(qml)

set(kmediasession_srcs
    kmediasession.cpp
    metadata.cpp
    mediabackends/abstractmediabackend.h
    mediabackends/qtmediabackend.cpp
    powermanagement/powermanagementinterface.cpp
    mpris2/mpris2.cpp
)

ecm_qt_declare_logging_category(kmediasession_srcs
    HEADER "kmediasessionlogging.h"
    IDENTIFIER "KMediaSessionLog"
    CATEGORY_NAME "org.kde.kmediasession.kmediasession"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kmediasession_srcs
    HEADER "powermanagementinterfacelogging.h"
    IDENTIFIER "KMediaSessionPowerManagementInterface"
    CATEGORY_NAME "org.kde.kmediasession.powermanagementinterface"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kmediasession_srcs
    HEADER "qtmediabackendlogging.h"
    IDENTIFIER "QtMediaBackendLog"
    CATEGORY_NAME "org.kde.kmediasession.qtmediabackend"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kmediasession_srcs
    HEADER "mpris2logging.h"
    IDENTIFIER "Mpris2Log"
    CATEGORY_NAME "org.kde.kmediasession.mpris2"
    DEFAULT_SEVERITY Info
)

ecm_qt_declare_logging_category(kmediasession_srcs
    HEADER "metadatalogging.h"
    IDENTIFIER "MetaDataLog"
    CATEGORY_NAME "org.kde.kmediasession.metadata"
    DEFAULT_SEVERITY Info
)

if(ANDROID)
    list(APPEND kmediasession_srcs
        androidlogging.h
    )
else()
    list(APPEND kmediasession_srcs
        mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.cpp
    )
    qt_add_dbus_interface(kmediasession_srcs dbus-interfaces/org.freedesktop.PowerManagement.Inhibit.xml inhibitinterface)
    qt_add_dbus_interface(kmediasession_srcs dbus-interfaces/org.gnome.SessionManager.xml gnomesessioninterface)
endif()

if (LIBVLC_FOUND)
    ecm_qt_declare_logging_category(kmediasession_srcs
        HEADER "vlcmediabackendlogging.h"
        IDENTIFIER "VlcMediaBackendLog"
        CATEGORY_NAME "org.kde.kmediasession.vlcmediabackend"
        DEFAULT_SEVERITY Info
    )
    ecm_qt_declare_logging_category(kmediasession_srcs
        HEADER "vlcsignalslogging.h"
        IDENTIFIER "VlcSignalsLog"
        CATEGORY_NAME "org.kde.kmediasession.vlcsignals"
        DEFAULT_SEVERITY Info
    )
    list(APPEND kmediasession_srcs
        mediabackends/vlcmediabackend.cpp
    )
    set(HAVE_LIBVLC ON)
endif()

if (GSTREAMER_FOUND)
    ecm_qt_declare_logging_category(kmediasession_srcs
        HEADER "gstmediabackendlogging.h"
        IDENTIFIER "GstMediaBackendLog"
        CATEGORY_NAME "org.kde.kmediasession.gstmediabackend"
        DEFAULT_SEVERITY Info
    )
    ecm_qt_declare_logging_category(kmediasession_srcs
        HEADER "gstsignalslogging.h"
        IDENTIFIER "GstSignalsLog"
        CATEGORY_NAME "org.kde.kmediasession.gstsignals"
        DEFAULT_SEVERITY Info
    )
    list(APPEND kmediasession_srcs
        mediabackends/gstmediabackend.cpp
    )
    set(HAVE_GST ON)
endif()

configure_file(config-kmediasession.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kmediasession.h)

add_library(KMediaSession ${kmediasession_srcs})
generate_export_header(KMediaSession BASE_NAME KMediaSession)

target_include_directories(KMediaSession PUBLIC ${CMAKE_BINARY_DIR})

target_link_libraries(KMediaSession PUBLIC Qt::Core)
target_link_libraries(KMediaSession PRIVATE
    Qt::Multimedia
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::I18n
)

if (LIBVLC_FOUND)
    target_link_libraries(KMediaSession PRIVATE LIBVLC::LIBVLC)
endif()

if (GSTREAMER_FOUND)
    target_link_libraries(KMediaSession PRIVATE PkgConfig::GSTREAMER)
endif()

if (ANDROID)
else()
    target_link_libraries(KMediaSession PRIVATE Qt::DBus)
endif()

install(TARGETS KMediaSession ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (BUILD_EXAMPLE_PLAYER)
    add_subdirectory(example-app)
endif()

=== src/solidextras/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(kasts-solidextrasqmlplugin solidextrasqmlplugin.cpp)
target_link_libraries(kasts-solidextrasqmlplugin
    Qt::Qml
    KastsSolidExtras
)

# make examples work without installation
if (NOT CMAKE_VERSION VERSION_LESS 3.14)
    set_property(TARGET kasts-solidextrasqmlplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/org/kde/kasts/solidextras)
    file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/org/kde/kasts/solidextras/qmldir COPY_ON_ERROR SYMBOLIC)
else()
    message(WARNING "CMake is too old, cannot setup QML plugins to work without installation")
endif()

install(TARGETS kasts-solidextrasqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kasts/solidextras)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kasts/solidextras)

## kasts 23.08.4

=== debian/changelog ===
kasts (23.08.4-1) unstable; urgency=medium

  * New upstream release
  * Switch to VLC backend (Closes: #1057922)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 10 Dec 2023 21:28:17 +0100

kasts (23.08.3-1) unstable; urgency=low

  * New upstream release
  * Fix d/watch

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 12 Nov 2023 19:44:06 +0100

kasts (23.08.2-1) unstable; urgency=low

  * New upstream release
  * Change my email to use the debian alias
  * Move package inside the debian project on salsa, now that I'm a DD
  * Add d/watch file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 29 Oct 2023 01:15:16 +0200

kasts (23.07.90-2) unstable; urgency=low

  * Add runtime dependencies. Needed if a full plasma desktop is not already
    present.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 11 Sep 2023 10:42:31 +0200

kasts (23.07.90-1) unstable; urgency=low

  * Initial release. (Closes: #1007698)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 12 Aug 2023 20:13:13 +0200

=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               libqt5svg5-dev,
               libkf5coreaddons-dev,
               kirigami2-dev,
               libkf5syndication-dev,
               libkf5config-dev,
               libkf5i18n-dev,
               libkf5threadweaver-dev,
               libtag1-dev,
               qt5keychain-dev,
               qtkeychain-qt5-dev,
               kirigami-addons-dev,
               libvlc-dev,
               libvlccore-dev,
               qtmultimedia5-dev,
               libkf5networkmanagerqt-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://salsa.debian.org/debian/kasts
Vcs-Git: https://salsa.debian.org/debian/kasts.git
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml-module-org-kde-kirigami-addons-labs-components,
 qml-module-qt-labs-settings,
 qml-module-qt-labs-qmlmodels,
Recommends:
 ca-certificates,
 breeze-icon-theme,
 qml-module-org-kde-kirigami-addons-labs-mobileform,
 qml-module-qt-labs-platform,
 vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

=== debian/watch ===
version=4

https://invent.kde.org/multimedia/kasts/-/tags archive/v.+/kasts-v@ANY_VERSION@@ARCHIVE_EXT@

## kasts 23.08.5

=== debian/changelog ===
kasts (23.08.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:51 +1100

kasts (23.08.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:43:11 +0000

kasts (23.08.5-1ubuntu1) noble; urgency=medium

  * New upstream release. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 02:20:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kasts
 Section: kde
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,

## kasts 24.08.1

=== debian/changelog ===
kasts (24.08.1-2) experimental; urgency=low

  * Use pkgkde-getqmldepends

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 30 Sep 2024 23:41:24 +0200

kasts (24.08.1-1) experimental; urgency=low

  * New upstream release
  * Make team maintained

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Sep 2024 17:37:28 +0200

kasts (23.08.4-2) unstable; urgency=medium

  * Replace kirigami-addons-dev with kirigami-addons5-dev (Closes: #1079470)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 23 Aug 2024 23:00:37 +0200

=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               appstream,
               qt6-base-dev-tools,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               libkf6colorscheme-dev,
               libkf6coreaddons-dev,
               libkf6threadweaver-dev,
               libkf6i18n-dev,
               libkirigami-dev,
               libkf6syndication-dev,
               libkf6config-dev,
               libkf6breezeicons-dev,
               libtag1-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://salsa.debian.org/debian/kasts
Vcs-Git: https://salsa.debian.org/debian/kasts.git
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends:
 ${qml6:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 qml6-module-org-kde-kirigamiaddons-components,
 qml6-module-qt-labs-settings,
 qml6-module-qt-labs-qmlmodels,
 qml6-module-qtquick-effects
Recommends:
 ca-certificates,
 breeze-icon-theme,
 vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_gencontrol:
	pkgkde-getqmldepends -v --qt 6 -- -qmlFiles `find | grep qml`

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)"

## kasts 24.12.0

=== debian/changelog ===
kasts (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:06:40 +0000

kasts (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:04:15 +0000

kasts (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev
  * Add kirigami-addons-dev to build depends for qmldepends detection.
  * Add debian/qmldeps.overrides for kasts.

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 17:00:42 +0000

kasts (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:37:34 +0000

=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: appstream,
               cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami-addons-dev,
               libkf6breezeicons-dev,
               libkf6colorscheme-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6i18n-dev,
               libkf6syndication-dev,
               libkf6threadweaver-dev,
               libkirigami-dev,
               libtag1-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends:
 ${qml6:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 qml6-module-org-kde-kirigamiaddons-components,
 qml6-module-qt-labs-settings,
 qml6-module-qt-labs-qmlmodels,
 qml6-module-qtquick-effects
Recommends:
 ca-certificates,
 breeze-icon-theme,
 vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## kasts 24.12.1

=== debian/changelog ===
kasts (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 17:15:08 +0100

kasts (24.12.0-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* fields to the current repo.
  * debian/control: Update build-dep package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 22:53:32 -0500

kasts (24.12.0-2) unstable; urgency=medium

  * Build-depend on libkf6crash-dev

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 25 Dec 2024 09:27:27 +0100

kasts (24.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Dec 2024 11:30:58 +0100

kasts (24.08.3-2) unstable; urgency=low

  * Team upload.

  [ Sandro Knauß ]
  * Fix and enable dh_qmldeps usage for QML dependecy detection (Closes:
    #1089553).

 -- Sandro Knauß <hefee@debian.org>  Sun, 08 Dec 2024 22:21:46 +0100

kasts (24.08.3-1) unstable; urgency=low

  * New upstream release
  * Disabled dh_qmldeps step for now
  * Build-depend on qt6-declarative-private-dev

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 27 Nov 2024 17:42:16 +0100

=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               extra-cmake-modules,
               appstream,
               qt6-base-dev-tools,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               kirigami-addons-dev,
               libkf6colorscheme-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6threadweaver-dev,
               libkf6i18n-dev,
               libkirigami-dev,
               libkf6syndication-dev,
               libkf6config-dev,
               libkf6breezeicons-dev,
               libtag-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kasts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kasts.git
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends:
 ${qml6:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 breeze-icon-theme,
 vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## kasts 24.12.2

=== debian/changelog ===
kasts (24.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 27 Feb 2025 17:32:50 +0100

## kasts 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kasts VERSION ${RELEASE_SERVICE_VERSION})
@@ -18,15 +18,14 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set(KF_MIN_VERSION "5.105.0")
-set(QT_MIN_VERSION "5.15.2")
-if (ANDROID)
-    set(QT_MIN_VERSION 5.15.10) # due to 5.15.10 changing NDK versioning
-endif()
+set(KF_MIN_VERSION "6.0.0")
+set(QT_MIN_VERSION "6.4.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+set(KDE_COMPILERSETTINGS_LEVEL 6.0)
 
 include(FeatureSummary)
 include(ECMSetupVersion)
@@ -39,6 +38,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMDeprecationSettings)
+include(ECMAddAndroidApk)
 if(NOT ANDROID)
     include(KDEClangFormat)
 endif()
@@ -49,47 +49,31 @@
 )
 
 ecm_set_disabled_deprecation_versions(
-    QT 5.15.2
-    KF 5.102.0
+    QT 6.0.0
+    KF 5.240.0
 )
 
-if (QT_MAJOR_VERSION EQUAL "6")
-    set(KF_MAJOR_VERSION "6")
-else()
-    set(KF_MAJOR_VERSION "5")
-endif()
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Sql Svg Xml Network)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Kirigami Syndication Config ThreadWeaver ColorScheme)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Sql Svg Xml)
-find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Kirigami2 Syndication Config ThreadWeaver)
-
-if (QT_MAJOR_VERSION EQUAL "6")
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Network)
-else()
-find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS NetworkManagerQt)
-endif()
-
-if (NOT KF_MAJOR_VERSION EQUAL "6") # TODO temporary workaround until kirigami-addons is switched to KF6
-find_package(KF5KirigamiAddons 0.7 REQUIRED)
-endif()
+find_package(KF6 ${KF_MIN_VERSION} QUIET COMPONENTS BreezeIcons)
 
 find_package(Taglib REQUIRED)
-find_package(Qt${QT_MAJOR_VERSION}Keychain)
-set_package_properties(Qt${QT_MAJOR_VERSION}Keychain PROPERTIES
+find_package(Qt6Keychain)
+set_package_properties(Qt6Keychain PROPERTIES
     TYPE REQUIRED
     PURPOSE "Secure storage of account secrets"
 )
 
 if (ANDROID)
-    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
-    if (QT_MAJOR_VERSION EQUAL "5")
-        find_package(Qt5 REQUIRED COMPONENTS AndroidExtras)
-    endif()
+    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
     find_package(OpenSSL REQUIRED)
     find_package(SQLite3)
     find_package(ZLIB)
     find_package(Gradle)
 else()
-    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets DBus)
+    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets DBus)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
 endif()
 
 add_definitions(-DQT_NO_CAST_FROM_ASCII

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,29 +3,26 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 add_subdirectory(kmediasession)
-if (NOT QT_MAJOR_VERSION EQUAL "6")
-add_subdirectory(solidextras)
-endif()
-
-set(kasts_srcs
+
+add_executable(kasts
     main.cpp
     fetcher.cpp
     database.cpp
     entry.cpp
     feed.cpp
-    author.cpp
     enclosure.cpp
     chapter.cpp
     datamanager.cpp
     audiomanager.cpp
     error.cpp
-    enclosuredownloadjob.cpp
-    storagemanager.cpp
-    storagemovejob.cpp
-    updatefeedjob.cpp
-    fetchfeedsjob.cpp
-    systrayicon.cpp
-    networkconnectionmanager.cpp
+    utils/enclosuredownloadjob.cpp
+    utils/storagemanager.cpp
+    utils/storagemovejob.cpp
+    utils/updatefeedjob.cpp
+    utils/fetchfeedsjob.cpp
+    utils/systrayicon.cpp
+    utils/networkconnectionmanager.cpp
+    utils/colorschemer.cpp
     models/abstractepisodemodel.cpp
     models/abstractepisodeproxymodel.cpp
     models/chaptermodel.cpp
@@ -54,87 +51,163 @@
     sync/gpodder/uploadsubscriptionrequest.cpp
     sync/gpodder/episodeactionrequest.cpp
     sync/gpodder/uploadepisodeactionrequest.cpp
-    resources.qrc
-)
-
-ecm_qt_declare_logging_category(kasts_srcs
+)
+
+# define custom resource paths
+set_source_files_properties(../kasts.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/kasts.svg
+)
+set_source_files_properties(../icons/media-playback-cloud.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/media-playback-cloud.svg
+)
+set_source_files_properties(../icons/kasts-tray-light.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/kasts-tray-light.svg
+)
+set_source_files_properties(../icons/kasts-tray-dark.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/kasts-tray-dark.svg
+)
+
+# add icons needed by c++
+qt_add_resources(kasts "icons"
+    FILES
+        ../kasts.svg
+        ../icons/media-playback-cloud.svg
+        ../icons/kasts-tray-light.svg
+        ../icons/kasts-tray-dark.svg
+)
+
+qt_policy(SET QTP0001 NEW)
+qt_add_qml_module(kasts URI org.kde.kasts
+    QML_FILES
+        qml/Main.qml
+        qml/FeedListPage.qml
+        qml/EntryPage.qml
+        qml/Settings/AboutPage.qml
+        qml/FeedDetailsPage.qml
+        qml/AddFeedSheet.qml
+        qml/FeedListDelegate.qml
+        qml/Mobile/MinimizedPlayerControls.qml
+        qml/Mobile/MobilePlayerControls.qml
+        qml/VolumeSlider.qml
+        qml/Mobile/FooterBar.qml
+        qml/Mobile/BottomToolbar.qml
+        qml/QueuePage.qml
+        qml/EpisodeListPage.qml
+        qml/DownloadListPage.qml
+        qml/ErrorList.qml
+        qml/ErrorListOverlay.qml
+        qml/GenericHeader.qml
+        qml/GenericEntryDelegate.qml
+        qml/GenericEntryListView.qml
+        qml/DiscoverPage.qml
+        qml/ImageWithFallback.qml
+        qml/UpdateNotification.qml
+        qml/KastsGlobalDrawer.qml
+        qml/Desktop/HeaderBar.qml
+        qml/Desktop/DesktopPlayerControls.qml
+        qml/PlaybackRateMenu.qml
+        qml/PlaybackRateCustomizerDialog.qml
+        qml/ErrorNotification.qml
+        qml/ConnectionCheckAction.qml
+        qml/ChapterListDelegate.qml
+        qml/SyncPasswordOverlay.qml
+        qml/Settings/SettingsPage.qml
+        qml/Settings/GeneralSettingsPage.qml
+        qml/Settings/AppearanceSettingsPage.qml
+        qml/Settings/StorageDirDialog.qml
+        qml/Settings/NetworkSettingsPage.qml
+        qml/Settings/StorageSettingsPage.qml
+        qml/Settings/SynchronizationSettingsPage.qml
+        qml/Settings/ErrorListPage.qml
+        qml/SleepTimerDialog.qml
+        qml/FullScreenImage.qml
+        qml/GlobalSearchField.qml
+        qml/SearchBar.qml
+        qml/FilterInlineMessage.qml
+        qml/ChapterSlider.qml
+    RESOURCES
+        ../icons/media-playback-cloud.svg
+        ../kasts.svg
+)
+
+ecm_qt_declare_logging_category(kasts
     HEADER "audiologging.h"
     IDENTIFIER "kastsAudio"
     CATEGORY_NAME "org.kde.kasts.audio"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "datamanagerlogging.h"
     IDENTIFIER "kastsDataManager"
     CATEGORY_NAME "org.kde.kasts.datamanager"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "enclosurelogging.h"
     IDENTIFIER "kastsEnclosure"
     CATEGORY_NAME "org.kde.kasts.enclosure"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "entrylogging.h"
     IDENTIFIER "kastsEntry"
     CATEGORY_NAME "org.kde.kasts.entry"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "feedlogging.h"
     IDENTIFIER "kastsFeed"
     CATEGORY_NAME "org.kde.kasts.feed"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "fetcherlogging.h"
     IDENTIFIER "kastsFetcher"
     CATEGORY_NAME "org.kde.kasts.fetcher"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "synclogging.h"
     IDENTIFIER "kastsSync"
     CATEGORY_NAME "org.kde.kasts.sync"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "models/downloadmodellogging.h"
     IDENTIFIER "kastsDownloadModel"
     CATEGORY_NAME "org.kde.kasts.downloadmodel"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "models/queuemodellogging.h"
     IDENTIFIER "kastsQueueModel"
     CATEGORY_NAME "org.kde.kasts.queuemodel"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "storagemanagerlogging.h"
     IDENTIFIER "kastsStorageManager"
     CATEGORY_NAME "org.kde.kasts.storagemanager"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "storagemovejoblogging.h"
     IDENTIFIER "kastsStorageMoveJob"
     CATEGORY_NAME "org.kde.kasts.storagemovejob"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "networkconnectionmanagerlogging.h"
     IDENTIFIER "kastsNetworkConnectionManager"
     CATEGORY_NAME "org.kde.kasts.networkconnectionmanager"
@@ -142,19 +215,10 @@
 )
 
 if(ANDROID)
-    list(APPEND kasts_srcs
-         androidlogging.h)
+    target_sources(kasts PRIVATE utils/androidlogging.h)
 endif()
 
-if(KASTS_FLATPAK)
-    list(APPEND kasts_srcs
-         resources-flatpak.qrc)
-else()
-    list(APPEND kasts_srcs
-         resources-non-flatpak.qrc)
-endif()
-
-set(kasts_ICONS_PNG
+ecm_add_app_icon(kasts ICONS ${kasts_ICONS_PNG}
     ../icons/16-apps-kasts.png
     ../icons/24-apps-kasts.png
     ../icons/32-apps-kasts.png
@@ -163,25 +227,17 @@
     ../icons/128-apps-kasts.png
 )
 
-# add icons to application sources, to have them bundled
-ecm_add_app_icon(kasts_srcs ICONS ${kasts_ICONS_PNG})
-
-add_executable(kasts ${kasts_srcs})
-
 kconfig_add_kcfg_files(kasts settingsmanager.kcfgc GENERATE_MOC)
 
-target_include_directories(kasts PRIVATE ${CMAKE_BINARY_DIR})
-target_link_libraries(kasts PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql Qt::Svg Qt::Xml KF${KF_MAJOR_VERSION}::Kirigami2 KF${KF_MAJOR_VERSION}::Syndication KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::ConfigGui KF${KF_MAJOR_VERSION}::I18n Taglib::Taglib ${QTKEYCHAIN_LIBRARIES} KF${KF_MAJOR_VERSION}::ThreadWeaver KMediaSession)
-
-if (QT_MAJOR_VERSION EQUAL "6")
-target_link_libraries(kasts PRIVATE Qt6::Network)
-else ()
-target_link_libraries(kasts PRIVATE KastsSolidExtras)
-endif()
-
-if(KASTS_FLATPAK)
-    target_compile_definitions(kasts PUBLIC KASTS_FLATPAK)
-endif()
+target_include_directories(kasts PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models ${CMAKE_CURRENT_SOURCE_DIR}/utils ${CMAKE_CURRENT_SOURCE_DIR}/sync)
+target_link_libraries(kasts PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql Qt::Svg Qt::Xml Qt::Network KF6::Kirigami KF6::Syndication KF6::CoreAddons KF6::ConfigGui KF6::I18n Taglib::Taglib ${QTKEYCHAIN_LIBRARIES} KF6::ThreadWeaver KF6::ColorScheme KMediaSession)
+
+if(TARGET KF6::BreezeIcons)
+    target_link_libraries(kasts PRIVATE
+            KF6::BreezeIcons
+    )
+    target_compile_definitions(kasts PRIVATE WITH_BREEZEICONS_LIB)
+endif ()
 
 if(ANDROID)
     target_link_libraries(kasts PRIVATE
@@ -232,6 +288,7 @@
         view-media-playlist
         source-playlist
         arrow-down
+        arrow-up
         go-next
         overflow-menu
         checkbox
@@ -240,7 +297,8 @@
         kt-add-feeds
         state-sync
         network-connect
-        drive-harddisk-symbolic
+        drive-harddisk
+        preferences-desktop-theme-global
         dialog-ok
         dialog-cancel
         computer
@@ -269,8 +327,9 @@
         view-sort-descending-name
         view-sort-ascending-name
     )
+    ecm_add_android_apk(kasts ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
 else()
-    target_link_libraries(kasts PRIVATE Qt::Widgets)
+    target_link_libraries(kasts PRIVATE Qt::Widgets KF6::Crash)
 endif()
 
 install(TARGETS kasts ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/kmediasession/example-app/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2022-2023 Bart De Vries <bart@mogwai.be>

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Qml Gui Multimedia)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Kirigami I18n)

if (NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Widgets)
endif()

###########################################################

add_executable(kmediasession-example main.cpp)

qt_policy(SET QTP0001 NEW)
qt_add_qml_module(kmediasession-example URI org.kde.kmediasession-example
    QML_FILES
        qml/Main.qml
)

target_link_libraries(kmediasession-example PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Gui
    KF6::CoreAddons
    KF6::Kirigami
    KF6::I18n
    KMediaSession
)

if (NOT ANDROID)
    target_link_libraries(kmediasession-example PRIVATE Qt::Widgets)
endif()

install(TARGETS kmediasession-example ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kasts (24.12.3-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:47 -0500

kasts (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with kf6-sequence-kf6
    - Recommend kf6-breeze-icon-theme instead of transitional.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 23:05:35 +0000

kasts (24.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:19:22 +0100

=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake,
               extra-cmake-modules,
               kirigami-addons-dev,
               libkf6breezeicons-dev,
               libkf6colorscheme-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6i18n-dev,
               libkf6syndication-dev,
               libkf6threadweaver-dev,
               libkirigami-dev,
               libtag-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: kf6-breeze-icon-theme, ca-certificates, vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## kasts 25.04.2

=== debian/changelog ===
kasts (25.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.1).
    - Anchor header depending on qt version. (kde#503154)
  * New upstream release (25.04.2).
    - Translation fixes.
  * Add missing runtime dependency on qml6-module-org-kde-
    kirigamiaddons-settings. (Closes: #1107566)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 22:28:35 +0200

kasts (25.04.0-3) unstable; urgency=medium

  * Remove qml search override (Closes: #1104727)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 08 May 2025 22:11:33 +0200

kasts (25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake. (Closes: #1103716)
  * Refresh patches.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Apr 2025 00:28:39 +0200

kasts (25.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 09:24:40 +0200
